Ogre::D3D9TexturePtr Class Reference

Specialisation of SharedPtr to allow SharedPtr to be assigned to D3D9TexturePtr. More...

`#include <OgreD3D9Texture.h>`

Inheritance diagram for Ogre::D3D9TexturePtr:
[legend]

List of all members.

## Public Member Functions

| D3D9TexturePtr ()
| D3D9TexturePtr (D3D9Texture *rep)
| D3D9TexturePtr (const D3D9TexturePtr &r)
| D3D9TexturePtr (const ResourcePtr &r)
| D3D9TexturePtr (const TexturePtr &r)
D3D9TexturePtr & | operator= (const ResourcePtr &r)
| Operator used to convert a ResourcePtr to a D3D9TexturePtr.
D3D9TexturePtr & | operator= (const TexturePtr &r)
| Operator used to convert a TexturePtr to a D3D9TexturePtr.
D3D9Texture & | operator* () const
D3D9Texture * | operator-> () const
D3D9Texture * | get () const
void | bind (D3D9Texture *rep, SharedPtrFreeMethod inFreeMethod=SPFM_DELETE)
| Binds rep to the SharedPtr.
bool | unique () const
unsigned int | useCount () const
unsigned int * | useCountPointer () const
D3D9Texture * | getPointer () const
SharedPtrFreeMethod | freeMethod () const
bool | isNull (void) const
void | setNull (void)

## Protected Member Functions

void | release (void)
virtual void | destroy (void)
virtual void | swap (SharedPtr< D3D9Texture > &other)

## Protected Attributes

D3D9Texture * | pRep
unsigned int * | pUseCount
SharedPtrFreeMethod | useFreeMethod

## Detailed Description

Specialisation of SharedPtr to allow SharedPtr to be assigned to D3D9TexturePtr.

Note:
  Has to be a subclass since we need operator=. We could templatise this instead of repeating per Resource subclass, except to do so requires a form VC6 does not support i.e. ResourceSubclassPtr<T> : public SharedPtr<T>

Definition at line 227 of file OgreD3D9Texture.h.

## Constructor & Destructor Documentation

Ogre::D3D9TexturePtr::D3D9TexturePtr | ( |  | ) |

Definition at line 230 of file OgreD3D9Texture.h.

Ogre::D3D9TexturePtr::D3D9TexturePtr | ( | D3D9Texture * | rep | ) | `[explicit]`

Definition at line 231 of file OgreD3D9Texture.h.

Ogre::D3D9TexturePtr::D3D9TexturePtr | ( | const D3D9TexturePtr & | r | ) |

Definition at line 232 of file OgreD3D9Texture.h.

Ogre::D3D9TexturePtr::D3D9TexturePtr | ( | const ResourcePtr & | r | ) |

Definition at line 233 of file OgreD3D9Texture.h.

References Ogre::SharedPtr< T >::getPointer(), OGRE_COPY_AUTO_SHARED_MUTEX, OGRE_LOCK_MUTEX, OGRE_MUTEX_CONDITIONAL, and Ogre::SharedPtr< T >::useCountPointer().

Ogre::D3D9TexturePtr::D3D9TexturePtr | ( | const TexturePtr & | r | ) |

Definition at line 248 of file OgreD3D9Texture.h.

## Member Function Documentation

void Ogre::SharedPtr< D3D9Texture >::bind | ( | D3D9Texture * | rep,
|  | SharedPtrFreeMethod | inFreeMethod = `SPFM_DELETE`
| ) |  | `[inherited]`

Binds rep to the SharedPtr.

Remarks:
  Assumes that the SharedPtr is uninitialised!

Definition at line 167 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< D3D9Texture >::destroy | ( | void |  | ) | `[protected, virtual, inherited]`

Definition at line 223 of file OgreSharedPtr.h.

SharedPtrFreeMethod Ogre::SharedPtr< D3D9Texture >::freeMethod | ( |  | ) | const`[inherited]`

Definition at line 181 of file OgreSharedPtr.h.

D3D9Texture * Ogre::SharedPtr< D3D9Texture >::get | ( | void |  | ) | const`[inherited]`

Definition at line 161 of file OgreSharedPtr.h.

D3D9Texture * Ogre::SharedPtr< D3D9Texture >::getPointer | ( |  | ) | const`[inherited]`

Definition at line 180 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< D3D9Texture >::isNull | ( | void |  | ) | const`[inherited]`

Definition at line 183 of file OgreSharedPtr.h.

D3D9Texture & Ogre::SharedPtr< D3D9Texture >::operator* | ( |  | ) | const`[inherited]`

Definition at line 159 of file OgreSharedPtr.h.

D3D9Texture * Ogre::SharedPtr< D3D9Texture >::operator-> | ( |  | ) | const`[inherited]`

Definition at line 160 of file OgreSharedPtr.h.

D3D9TexturePtr& Ogre::D3D9TexturePtr::operator= | ( | const ResourcePtr & | r | ) |

Operator used to convert a ResourcePtr to a D3D9TexturePtr.

Definition at line 254 of file OgreD3D9Texture.h.

References Ogre::SharedPtr< T >::getPointer(), Ogre::SharedPtr< T >::isNull(), OGRE_COPY_AUTO_SHARED_MUTEX, OGRE_LOCK_MUTEX, OGRE_MUTEX_CONDITIONAL, and Ogre::SharedPtr< T >::useCountPointer().

D3D9TexturePtr& Ogre::D3D9TexturePtr::operator= | ( | const TexturePtr & | r | ) |

Operator used to convert a TexturePtr to a D3D9TexturePtr.

Definition at line 280 of file OgreD3D9Texture.h.

References Ogre::SharedPtr< T >::getPointer(), Ogre::SharedPtr< T >::isNull(), OGRE_COPY_AUTO_SHARED_MUTEX, OGRE_LOCK_MUTEX, OGRE_MUTEX_CONDITIONAL, and Ogre::SharedPtr< T >::useCountPointer().

void Ogre::SharedPtr< D3D9Texture >::release | ( | void |  | ) | `[protected, inherited]`

Definition at line 197 of file OgreSharedPtr.h.

void Ogre::SharedPtr< D3D9Texture >::setNull | ( | void |  | ) | `[inherited]`

Definition at line 185 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< D3D9Texture >::swap | ( | SharedPtr< D3D9Texture > & | other | ) | `[protected, virtual, inherited]`

Definition at line 247 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< D3D9Texture >::unique | ( |  | ) | const`[inherited]`

Definition at line 176 of file OgreSharedPtr.h.

unsigned int Ogre::SharedPtr< D3D9Texture >::useCount | ( |  | ) | const`[inherited]`

Definition at line 177 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< D3D9Texture >::useCountPointer | ( |  | ) | const`[inherited]`

Definition at line 178 of file OgreSharedPtr.h.

## Member Data Documentation

D3D9Texture * Ogre::SharedPtr< D3D9Texture >::pRep`[protected, inherited]`

Definition at line 63 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< D3D9Texture >::pUseCount`[protected, inherited]`

Definition at line 64 of file OgreSharedPtr.h.

SharedPtrFreeMethod Ogre::SharedPtr< D3D9Texture >::useFreeMethod`[protected, inherited]`

Definition at line 65 of file OgreSharedPtr.h.

The documentation for this class was generated from the following file:

- OgreD3D9Texture.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:50